org.apache.lucene.search.spell

## Enum WordBreakSpellChecker.BreakSuggestionSortMethod

- java.lang.Object
- - java.lang.Enum<WordBreakSpellChecker.BreakSuggestionSortMethod>
  - - org.apache.lucene.search.spell.WordBreakSpellChecker.BreakSuggestionSortMethod

- All Implemented Interfaces:
    Serializable, Comparable<WordBreakSpellChecker.BreakSuggestionSortMethod>
  Enclosing class:
    WordBreakSpellChecker

      public static enum WordBreakSpellChecker.BreakSuggestionSortMethod
      extends Enum<WordBreakSpellChecker.BreakSuggestionSortMethod>

  Determines the order to list word break suggestions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NUM_CHANGES_THEN_MAX_FREQUENCY` Sort by Number of word breaks, then by the Maximum of all the component term's frequencies
    `NUM_CHANGES_THEN_SUMMED_FREQUENCY` Sort by Number of word breaks, then by the Sum of all the component term's frequencies

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WordBreakSpellChecker.BreakSuggestionSortMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WordBreakSpellChecker.BreakSuggestionSortMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NUM_CHANGES_THEN_SUMMED_FREQUENCY

          public static final WordBreakSpellChecker.BreakSuggestionSortMethod NUM_CHANGES_THEN_SUMMED_FREQUENCY

      Sort by Number of word breaks, then by the Sum of all the component term's frequencies

    - #### NUM_CHANGES_THEN_MAX_FREQUENCY

          public static final WordBreakSpellChecker.BreakSuggestionSortMethod NUM_CHANGES_THEN_MAX_FREQUENCY

      Sort by Number of word breaks, then by the Maximum of all the component term's frequencies

  - ### Method Detail

    - #### values

          public static WordBreakSpellChecker.BreakSuggestionSortMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WordBreakSpellChecker.BreakSuggestionSortMethod c : WordBreakSpellChecker.BreakSuggestionSortMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WordBreakSpellChecker.BreakSuggestionSortMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.